org.richfaces.ui.output.component

## Enum UIPoint.Properties

- java.lang.Object
- - java.lang.Enum<UIPoint.Properties>
  - - org.richfaces.ui.output.component.UIPoint.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPoint.Properties>
  Enclosing class:
    UIPoint

      protected static enum UIPoint.Properties
      extends Enum<UIPoint.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `format`
    `label`
    `max`
    `min`
    `pad`
    `x`
    `y`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPoint.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPoint.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### format

          public static final UIPoint.Properties format

    - #### label

          public static final UIPoint.Properties label

    - #### max

          public static final UIPoint.Properties max

    - #### min

          public static final UIPoint.Properties min

    - #### pad

          public static final UIPoint.Properties pad

    - #### x

          public static final UIPoint.Properties x

    - #### y

          public static final UIPoint.Properties y

  - ### Method Detail

    - #### values

          public static UIPoint.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPoint.Properties c : UIPoint.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPoint.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.